Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/40805/?format=api
{ "ob_id": 40805, "uuid": "3c156e5168844af1ac6572f692dda622", "title": "POLCOMS model run in the Atlantic margin of the Northwest European continental shelf generating eastward and northward baroclinic and barotropic current vectors for 41 years from 1964.", "abstract": "The dataset consists of eastward and northward baroclinic and barotropic current vectors. The dataset is a gridded dataset covering the entire Northwest European continental shelf, extending out into the Atlantic Ocean and includes 40 depth layers. The grid resolution varies from 7.8 km to 14.2 km along the longitudinal axis and is equal to 12.3 km on the latitudinal axis. The data are daily mean averages, calculated by averaging over a 25 hour tidal cycle, and cover the period from 01 January 1964 to 31 December 2004. They were produced during a study looking at mult-decadal variability and trends in temperature of the Northwest European continental shelf. The dataset was generated by the Proudman Oceanographic Laboratory Coastal Ocean Modelling System (POLCOMS) numerical model run by the National Oceanography Centre (NOC) Liverpool as part of Natural Environment Research Council (NERC) National Capability (NC) funding. The model simulations were run on the HECTOR supercomputer managed by the University of Edinburgh. The dataset consists of 41 data files in Climate and Forecast (CF) compliant NetCDF format.", "keywords": "", "publicationState": "citable", "dataPublishedTime": "2023-09-28T16:56:10", "doiPublishedTime": "2023-09-28T16:56:10", "updateFrequency": "", "status": "final", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/40804/?format=api", "dataPath": "/bodc/POL130189/POLCOMS_DAILY_UV", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 218154036941, "numberOfFiles": 43, "fileFormat": "Climate Forecast NetCDF, text" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11334/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3982/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50577/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54763/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54764/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75629/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75630/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75631/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75632/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75633/?format=api" ], "dataLineage": "The data are archived on the British Oceanographic Data Centre (BODC)'s space at the Centre for Environmental Data Analysis (CEDA) and assigned a DOI. No quality control procedures were applied by BODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12706/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198480/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198479/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198478/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198477/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198482/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198481/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198483/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198484/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198485/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198486/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/198487/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2569/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://www.bodc.ac.uk/data/documents/nodb/599476/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }